Package uk.ac.starlink.topcat.activate

## Enum Suitability

- java.lang.Object
- - java.lang.Enum<Suitability>
  - - uk.ac.starlink.topcat.activate.Suitability

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Suitability>`

      public enum Suitability
      extends java.lang.Enum<Suitability>

  Enum defining suitability levels for the use of a particular ActivationType with a given TopcatModel.
  Since:
    23 Mar 2018
  Author:
    Mark Taylor

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVE` | Activation action listed and active.
    `AVAILABLE` | Activation action available from a menu.
    `DISABLED` | Activation action visible in a menu but not available.
    `NONE` | Activation action completely hidden.
    `PRESENT` | Activation action listed less prominently and inactive.
    `SUGGESTED` | Activation action listed prominently and inactive.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Suitability` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Suitability[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final Suitability ACTIVE

      Activation action listed and active.

    - #### SUGGESTED

          public static final Suitability SUGGESTED

      Activation action listed prominently and inactive.

    - #### PRESENT

          public static final Suitability PRESENT

      Activation action listed less prominently and inactive.

    - #### AVAILABLE

          public static final Suitability AVAILABLE

      Activation action available from a menu.

    - #### DISABLED

          public static final Suitability DISABLED

      Activation action visible in a menu but not available.

    - #### NONE

          public static final Suitability NONE

      Activation action completely hidden.

  - ### Method Detail

    - #### values

          public static Suitability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Suitability c : Suitability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Suitability valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null